#ifndef _ROOT_ANALYSIS_H_
#define _ROOT_ANALYSIS_H_

#include <TH1.h>
#include <TH2.h>
#include <TProfile.h>
#include <AsciiRoot.h>

void spy_file(const char *name, int mxevts=-1);
TH1 *analyze(AsciiRoot &A, 
             const char *hname, 
             double polarity=0., 
             int chip=-1, 
             int odd=0,
             int mxevts=-1);

TH1 *draw_scan(AsciiRoot &A, 
               const char *hname, 
               double factor=1.,
               bool flip=false,
               int chip=-1, 
               int odd=-1, 
               int mxevts=-1);

TH1 *spectrum(AsciiRoot &A, 
              const char *hname, 
              double polarity=0., 
              int chip=-1,
              int mxevts=-1);

void show_spectrum(const char *hname, double t0, double t1, int polarity, AsciiRoot *A, bool dofit=true);

void set_debug(bool x);
bool get_debug();
void init_landau();
void save_text_file(TH1 *h1, const char *name);
#endif /*_ROOT_ANALYSIS_H_*/
