/* -*- mode: c++ -*- */
#ifndef __BeetleConfig_h__
#define __BeetleConfig_h__

#include <string>
#include <map>
#include <ConfigFile.h>
#include <ComparatorConfig.h>

class BeetleConfig : public std::map<const char *, unsigned short>, public ConfigFile
{
    private:
        short _mask;
        void cpy(const BeetleConfig &b);

    public:
        BeetleConfig();
        BeetleConfig(const BeetleConfig &b)
        {
            cpy(b);
        }
        ~BeetleConfig()
        {
        }

        BeetleConfig &operator=(const BeetleConfig &b)
        {
            if ( this!=&b)
                cpy(b);

            return *this;
        }

        void set_comparator_settings(const ComparatorConfig &C);
        void get_comparator_settings(ComparatorConfig &C);

        void load_data();
        void save_data();

        short mask() { return _mask; }
        void  mask(short x) { _mask = x; }

        unsigned short addr(int i) const;
};

#endif
