/*
 * ComparatorConfig.cc
 *
 *  Created on: Jun 4, 2013
 *      Author: lacasta
 */

#include "ComparatorConfig.h"

ComparatorConfig::ComparatorConfig()
    : ConfigFile("comparator"), _enable(false),
      _polarity(1), _mode(trackMode),
      _mainth(0.0), _deltath(0.0), _Vrc(0.0)
{
    // TODO Auto-generated constructor stub

}

ComparatorConfig::ComparatorConfig(const ComparatorConfig &C)
{
    cpy(C);
}

ComparatorConfig &ComparatorConfig::operator =(const ComparatorConfig &C)
{
    if (this!=&C)
        cpy(C);

    return *this;
}

void ComparatorConfig::cpy(const ComparatorConfig &C)
{
    *dynamic_cast<ConfigFile *>(this) = *dynamic_cast<const ConfigFile *>(&C);
    _enable = C._enable;
    _mode = C._mode;
    _polarity = C._polarity;
    _mainth = C._mainth;
    _deltath = C._deltath;
    _Vrc = C._Vrc;
}

ComparatorConfig::~ComparatorConfig()
{
    // TODO Auto-generated destructor stub
}

void ComparatorConfig::load_data()
{
    if (exists())
    {
        setEnable( get_bool("enable"));
        setPolarity( get_int("polarity"));
        setMode( (CompMode)get_int("mode") );
        setMainTh( get_double("Ithmain", 0.0));
        setDeltaTh( get_double("Ithdelta", 0.0));
        setVrc( get_double("Vrs", 0.0));
    }
}

void ComparatorConfig::save_data()
{
    set_bool("enable", isEnabled());
    set_int("polarity", getPolarity());
    set_int("mode", getMode());
    set_double("Ithmain", getMainTh());
    set_double("Ithdelta", getDeltaTh());
    set_double("Vrs", getVrc());
}
