/*
 * ComparatorConfig.h
 *
 *  Created on: Jun 4, 2013
 *      Author: lacasta
 */

#ifndef COMPARATORCONFIG_H_
#define COMPARATORCONFIG_H_

#include <bitset>
#include <ConfigFile.h>

class ComparatorConfig: public ConfigFile
{
    public:
        enum CompMode { trackMode=0, pulseMode };

    private:
        bool _enable;
        int _polarity;
        CompMode _mode;
        unsigned short _mainth;
        unsigned short _deltath;
        unsigned short _Vrc;

        void cpy( const ComparatorConfig &C );
    public:

        ComparatorConfig();
        ComparatorConfig(const ComparatorConfig &c);
        ComparatorConfig &operator=(const ComparatorConfig &C);
        virtual ~ComparatorConfig();

        void load_data();
        void save_data();

        CompMode getMode() const
        {
            return _mode;
        }

        void setMode(CompMode mode)
        {
            _mode = mode;
        }

        int getPolarity() const
        {
            return _polarity;
        }

        void setPolarity(int polarity)
        {
            _polarity = polarity;
        }

        bool isEnabled() const
        {
            return _enable;
        }

        void setEnable(bool enable)
        {
            _enable = enable;
        }

        unsigned short getDeltaTh() const
        {
            return _deltath;
        }

        void setDeltaTh(unsigned short deltath)
        {
            _deltath = deltath;
        }

        unsigned short getMainTh() const
        {
            return _mainth;
        }

        void setMainTh(unsigned short mainth)
        {
            _mainth = mainth;
        }

        unsigned short getVrc() const
        {
            return _Vrc;
        }

        void setVrc(unsigned short vrs)
        {
            _Vrc = vrs;
        }
};

#endif /* COMPARATORCONFIG_H_ */
