#include "TriggerConfig.h"

/*
 * Give reasonable default values for the discriminators
 */
TriggerConfig::TriggerConfig() 
    : ConfigFile("trigger"), _and(false), _pulse(false),
    _dacA(-200), _dacB(-200), _dacC(-1000), _dacD(1000)
{
}

void TriggerConfig::cpy(const TriggerConfig &t)
{
    set_group(t.get_group() );
    _and = t._and;
    _pulse = t._pulse;
    _dacA = t._dacA;
    _dacB = t._dacB;
    _dacC = t._dacC;
    _dacD = t._dacD;
}

void TriggerConfig::load_data()
{
    if (exists())
    {
        trigger_and(get_bool("trigger_and") );
        pulse(get_bool("trigger_pulse"));
        dacA(get_int("dacA") );
        dacB(get_int("dacB") );
        dacC(get_int("dacC") );
        dacD(get_int("dacD") );
    }
}

void TriggerConfig::save_data()
{
    set_bool("trigger_and", trigger_and() );
    set_bool("trigger_pulse", pulse() );
    set_int("dacA", _dacA );
    set_int("dacB", _dacB );
    set_int("dacC", _dacC );
    set_int("dacD", _dacD );
}
