#ifndef USB2XX_H_
#define USB2XX_H_

#include <USBport.h>

struct USBd2xx_priv;

class USBd2xx : public USBport
{
    private:
        USBd2xx_priv *_priv;
        
        void init_mutex();
        bool connected();
        int initialize(unsigned int baudrate, unsigned int rdtmout, unsigned int wrtmout);
    public:
        USBd2xx();
        USBd2xx(const char *fnam);
        virtual ~USBd2xx();
        
        int error() const;
        int open(const std::string &fnam);
        int close();
        int read(void *buf, int size);
        int write(void *buf, int size);
        int flush() { return 0; }
        
        
        unsigned int data_available(unsigned int size);
        int wait_for_data(double tmout=1.e20);
        int poll(int timeout);
        int fildes() const;
};

#endif /*USB2XX_H_*/
