/* -*- mode: c++ -*- */
#ifndef __USBemulator_h__
#define __USBemulator_h__

#include <USBserial.h>

struct USBemulator_priv;

class USBemulator : public USBserial
{
    private:
        int _firmware;
        USBemulator_priv *_priv;
    public:
        USBemulator(int firmware);
        ~USBemulator();

        virtual int open(const std::string &fnam);
        virtual int close();
        virtual int read(void *buf, int size);
        virtual int write(void *buf, int size);
        virtual int flush() { return 0; }
        int poll(int timeout);
        int setup_fifo(Fifo *);

        int error() const;
};

#endif
