/*
 * analyze_plugin_data.C
 *
 *  Created on: May 31, 2010
 *      Author: lacasta
 */
#include <iostream>
#include <sstream>
#include <AsciiRoot.h>

/*
 * This class will read the data produced by the plugin in test_plugin.cc
 */
class MyDataFile : public AsciiRoot
{
    public:
        MyDataFile(const char *nam, const char *pedfile=0, const char *gainfile=0) :
            AsciiRoot(nam, pedfile, gainfile)
            {}
        void check_point(int size, const char *);
        void new_file(int size, const char *);
        void start_of_run(int size, const char *);
        void end_of_run(int size, const char *);
        void new_data_block(int size, const char *);
};
void MyDataFile::check_point(int size, const char *s)
{
    std::string txt(s, size);
    std::cout << "check_point: " << txt << std::endl;
}
void MyDataFile::new_file(int size, const char *s)
{
    std::string txt(s, size);
    std::cout << "new_file: " << txt << std::endl;
}
void MyDataFile::start_of_run(int size, const char *s)
{
    std::string txt(s, size);
    std::cout << "start_of_run: " << txt << std::endl;
}
void MyDataFile::end_of_run(int size, const char *s)
{
    std::string txt(s, size);
    std::cout << "end_of_run: " << txt << std::endl;
}

void MyDataFile::new_data_block(int size, const char *d)
{
    unsigned short ichan, val;
    std::istringstream data( std::string(d, size) );
    do
    {
        data.read((char *)&ichan, sizeof(unsigned short));
        data.read((char *)&val, sizeof(unsigned short));
        if (data.eof())
            break;

        set_data(ichan, val);
        std::cout << ichan << ',' << val << ' ';
    } while ( !data.eof() );
    std::cout << " new data block. size = " << size << std::endl;
}
